const injectReducerEnhancer = (createReducer) => {
  return createStore =>
    (...args) => {
      const store = createStore(...args);

      return {
        ...store,
        createReducer,
        injectedReducers: {},
      };
    };
};

export default injectReducerEnhancer;
